Line (base API)
Date: 2019-04-05

com.twosigma.beakerx.chart.xychart.plotitem

## Class Line

- java.lang.Object
- - com.twosigma.beakerx.chart.Graphics
  - - com.twosigma.beakerx.chart.xychart.plotitem.XYGraphics
    - - com.twosigma.beakerx.chart.xychart.plotitem.Line

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable

      public class Line
      extends XYGraphics

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.twosigma.beakerx.chart.xychart.plotitem.XYGraphics

      `baseColor`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Line()`
    `Line(java.util.List<java.lang.Number> ys)`
    `Line(java.util.List<java.lang.Object> xs, java.util.List<java.lang.Number> ys)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Integer` | `getInterpolation()`
    `protected java.util.EnumSet<Filter>` | `getPossibleFilters()`
    `StrokeType` | `getStyle()`
    `java.lang.Float` | `getWidth()`
    `void` | `setInterpolation(java.lang.Integer interpolation)`
    `void` | `setStyle(StrokeType style)`
    `void` | `setWidth(java.lang.Float width)`

    - ### Methods inherited from class com.twosigma.beakerx.chart.xychart.plotitem.XYGraphics

      `getBase, getBases, getColor, getColors, getDisplayName, getLodFilter, getPlotType, getToolTips, getX, getY, setBase, setColor, setColor, setColor, setColori, setDisplayName, setLodFilter, setPlotType, setToolTip, setToolTip, setX, setY`

    - ### Methods inherited from class com.twosigma.beakerx.chart.Graphics

      `clone, fireClick, fireOnKey, getClickTag, getKeys, getKeyTags, getUid, getVisible, getyAxis, getYAxis, hasClickAction, onClick, onClick, onKey, onKey, onKey, onKey, setVisible, setyAxis, setYAxis`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Line

          public Line()

    - #### Line

          public Line(java.util.List<java.lang.Number> ys)

    - #### Line

          public Line(java.util.List<java.lang.Object> xs,
                      java.util.List<java.lang.Number> ys)

  - ### Method Detail

    - #### setWidth

          public void setWidth(java.lang.Float width)

    - #### getWidth

          public java.lang.Float getWidth()

    - #### setStyle

          public void setStyle(StrokeType style)

    - #### getStyle

          public StrokeType getStyle()

    - #### setInterpolation

          public void setInterpolation(java.lang.Integer interpolation)

    - #### getInterpolation

          public java.lang.Integer getInterpolation()

    - #### getPossibleFilters

          protected java.util.EnumSet<Filter> getPossibleFilters()

      Specified by:
        `getPossibleFilters` in class `XYGraphics`